# class KRFCDate | The KDate class contains functions related to the parsing of dates. More...
Definition | `#include <krfcdate.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static time_t parseDate (const QString &)

## Detailed Description

The KDate class contains functions related to the parsing of dates.

time_t parseDate (const QString &) | ### parseDate

[static]

This function tries to parse a string containing a date/time in any of the formats specified by RFC822, RFC850, RFC1036 and RFC1123.

If the date/time could not be parsed, 0 is returned. The date/time returned is converted to the current timezone.

BUGS: Not all possible formats are covered yet.

- Author: Waldo Bastian <bastian@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.